Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.thefaithapp.com/v1/user \ --header 'Authorization: Bearer <token>' \ --header 'X-API-Key: <api-key>'
const options = { method: 'GET', headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}};fetch('https://api.thefaithapp.com/v1/user', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://api.thefaithapp.com/v1/user"headers = { "X-API-Key": "<api-key>", "Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
{ "status": "Success", "data": { "id": 1, "name": "Jane Doe", "email": "jane@example.com", "uuid": "member-user-123", "phone": null, "client": { "id": 12, "public_uuid": "11111111-2222-3333-4444-555555555555", "name": "Example Church", "timezone": "UTC", "date_format": "Y-m-d", "time_format": "H:i:s", "image": "https://cdn.example.com/clients/example.png" } } }
Returns the authenticated member profile together with the active church context.
Client API key copied from Developer Access in the TheFaithApp dashboard.
Member access token returned by POST /v1/auth/token.
POST /v1/auth/token
Authenticated member returned successfully.
The response is of type object.
object
Was this page helpful?